KAutoUnmount Class Reference

`#include <kautomount.h>`

Inherits QObject.

## Signals

void | finished ()
void | error ()

## Public Member Functions

| KAutoUnmount (const QString &mountpoint, const QString &desktopFile)

## Protected Slots

void | slotResult (KIO::Job *)

## Friends

class | gcc_gives_a_warning_without_this

## Detailed Description

This class implements synchronous unmounting of devices, It is a wrapper around the asychronous KIO::special() call for unmount, used by KMimeType.

This class implements synchronous unmounting of devices,

Definition at line 86 of file kautomount.h.

## Constructor & Destructor Documentation

KAutoUnmount::KAutoUnmount | ( | const QString & | mountpoint,
|  | const QString & | desktopFile
| ) |  |

Unmounts a device.

Parameters

  mountpoint | the mount point - KAutoUnmount finds the device from that
  desktopFile | the file the user clicked on - to notify KDirWatch of the fact that it should emit fileDirty for it (to have the icon change)

Definition at line 80 of file kautomount.cpp.

## Member Function Documentation

void KAutoUnmount::error | ( |  | ) |

signal

Emitted in case the directory could not been unmounted.

void KAutoUnmount::finished | ( |  | ) |

signal

Emitted when the directory has been unmounted.

The documentation for this class was generated from the following files:

- kautomount.h
- kautomount.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys